import * as react_jsx_runtime from 'react/jsx-runtime';
import { F as FeedbackProps, a as FormFieldProps, b as FormFieldsetProps } from './CheckBox-DRFC93iL.js';
export { c as CheckBox, d as CheckBoxGroup, C as CheckBoxItem } from './CheckBox-DRFC93iL.js';

declare const Feedback: ({ message, type }: FeedbackProps) => react_jsx_runtime.JSX.Element;

declare const LabeledFormField: ({ inputId, label, description, feedback, children, optional, }: FormFieldProps) => react_jsx_runtime.JSX.Element;
declare const TitledFormField: ({ label, description, feedback, children, optional, }: FormFieldProps) => react_jsx_runtime.JSX.Element;
declare const FormFieldset: ({ label, description, feedback, children, }: FormFieldsetProps) => react_jsx_runtime.JSX.Element;

declare const Form: ({ children }: {
    children: JSX.Element | JSX.Element[];
}) => react_jsx_runtime.JSX.Element;

export { Feedback, Form, FormFieldset, LabeledFormField, TitledFormField };
